## gr-satellites 3.5.1

=== CMakeLists.txt ===
# Copyright 2011,2012,2014,2016,2018 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-satellites CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 3)
set(VERSION_API 5)
set(VERSION_ABI 1)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Add warnings
if (MSVC)
    # warning level 4 and all warnings as errors
    add_compile_options(/W4)
else()
    # lots of warnings and all warnings as errors
    add_compile_options(-Wall -Wextra -Wno-unused-parameter)
endif()

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 11)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
find_package(Gnuradio "3.8" REQUIRED)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/satellites)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/satellites)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/satellites)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/satellitesConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/satellites
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# Copyright 2020 Daniel Estevez <daniel@destevez.net>
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

########################################################################
# Man pages
########################################################################
FIND_PROGRAM(BZIP
             NAMES bzip2
             PATHS /bin
                   /usr/bin
                   /usr/local/bin)

if(NOT BZIP)
        MESSAGE(FATAL_ERROR "Could not find bzip2 for man page compression.")
endif(NOT BZIP)

set(MAN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(MAN_BUILD_DIR ${PROJECT_BINARY_DIR}/docs)

list(APPEND manpages
     gr_satellites.1
     jy1sat_ssdv.1
     smog_p_spectrum.1
)

# If user has not set the base dir for man pages, use a default location
set(MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man)

foreach(manpage ${manpages})
    add_custom_target(generate_manpage_${manpage} ALL
        COMMAND ${BZIP} -c ${MAN_SRC_DIR}/${manpage} > ${MAN_BUILD_DIR}/${manpage}.bz2
    )
    install(FILES
       ${MAN_BUILD_DIR}/${manpage}.bz2
       DESTINATION ${MAN_INSTALL_DIR}/man1
    )
endforeach(manpage)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    satellites_kiss_to_pdu.block.yml
    satellites_pdu_to_kiss.block.yml
    satellites_hdlc_framer.block.yml
    satellites_nrzi_encode.block.yml
    satellites_nrzi_decode.block.yml
    satellites_hdlc_deframer.block.yml
    satellites_check_address.block.yml
    satellites_fixedlen_tagger.block.yml
    satellites_print_header.block.yml
    satellites_check_crc.block.yml
    satellites_swap_crc.block.yml
    satellites_swap_header.block.yml
    satellites_submit.block.yml
    satellites_print_timestamp.block.yml
    satellites_ao40_rs_decoder.block.yml
    satellites_adsb_kml.block.yml
    satellites_ax100_decode.block.yml
    satellites_u482c_decode.block.yml
    satellites_ks1q_header_remover.block.yml
    satellites_decode_rs.block.yml
    satellites_encode_rs.block.yml
    satellites_lilacsat1_demux.block.yml
    satellites_check_ao40_uncoded_crc.block.yml
    satellites_lilacsat1_gps_kml.block.yml
    satellites_check_tt64_crc.block.yml
    satellites_varlen_packet_tagger.block.yml
    satellites_varlen_packet_framer.block.yml
    satellites_append_crc32c.block.yml
    satellites_nusat_decoder.block.yml
    satellites_strip_ax25_header.block.yml
    satellites_snet_deframer.block.yml
    satellites_beesat_classifier.block.yml
    satellites_snet_classifier.block.yml
    satellites_k2sat_deframer.block.yml
    satellites_descrambler308.block.yml
    satellites_cc11xx_packet_crop.block.yml
    satellites_check_cc11xx_crc.block.yml
    satellites_cc11xx_remove_length.block.yml
    satellites_pwsat2_telemetry_parser.block.yml
    satellites_pwsat2_submitter.block.yml
    satellites_eseo_packet_crop.block.yml
    satellites_eseo_line_decoder.block.yml
    satellites_check_eseo_crc.block.yml
    satellites_decode_rs_general.block.yml
    satellites_funcube_submit.block.yml
    satellites_dstar_one_telemetry_parser.block.yml
    satellites_reflect_bytes.block.yml
    satellites_check_astrocast_crc.block.yml
    satellites_decode_rs_interleaved.block.yml
    satellites_swiatowid_packet_crop.block.yml
    satellites_check_swiatowid_crc.block.yml
    satellites_swiatowid_packet_split.block.yml
    satellites_manchester_sync.block.yml
    satellites_header_remover.block.yml
    satellites_distributed_syncframe_soft.block.yml
    satellites_matrix_deinterleaver_soft.block.yml
    satellites_decode_ra_code.block.yml
    satellites_aausat4_remove_fsm.block.yml
    satellites_ngham_packet_crop.block.yml
    satellites_ngham_remove_padding.block.yml
    satellites_ngham_check_crc.block.yml
    satellites_bme_submitter.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

add_subdirectory(ccsds)
add_subdirectory(components)
add_subdirectory(core)
add_subdirectory(hier)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012,2016,2018,2019 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

if(MSVC)
    # compile the golay24.c as C++ due to the lack of complex.h under MSVC
    # this is required by Volk, so we do the same trick as in Volk
    set_source_files_properties(golay24.c PROPERTIES LANGUAGE CXX)
endif()

# This workaround is taken from GNU Radio
# gr-fec/lib/reed-solomon/CMakeLists.txt
#MSVC workaround: we can't have dynamically sized arrays.
#So ifdef a max array bounds that is larger than NN and NROOTS
#Its a bit of a hack, but if you look at the code, its so full of ifdefs,
#and lacks optimization where it should be pre-allocating these arrays.
if(MSVC)
    set_source_files_properties(
        ${CMAKE_CURRENT_SOURCE_DIR}/libfec/decode_rs_char.c
        PROPERTIES COMPILE_DEFINITIONS "MAX_ARRAY=256;"
    )
endif(MSVC)

list(APPEND satellites_sources
    decode_rs_impl.cc
    encode_rs_impl.cc
    ao40_rs_decoder_impl.cc
    ax100_decode_impl.cc
    u482c_decode_impl.cc
    randomizer.c
    golay24.c
    lilacsat1_demux_impl.cc
    varlen_packet_tagger_impl.cc
    varlen_packet_framer_impl.cc
    viterbi.c
    nusat_decoder_impl.cc
    descrambler308_impl.cc
    decode_rs_general_impl.cc
    decode_rs_interleaved_impl.cc
    distributed_syncframe_soft_impl.cc
    matrix_deinterleaver_soft_impl.cc
    radecoder/ra_config.c
    radecoder/ra_decoder_gen.c
    radecoder/ra_lfsr.c
    radecoder/ra_encoder.c
    decode_ra_code_impl.cc
    nrzi_encode_impl.cc
    nrzi_decode_impl.cc
    libfec/decode_rs_8.c
    libfec/decode_rs_ccsds.c
    libfec/decode_rs_char.c
    libfec/encode_rs_8.c
    libfec/encode_rs_ccsds.c
    libfec/encode_rs_char.c
    libfec/taltab.c
    libfec/ccsds.c
    libfec/init_rs_char.c
)

set(satellites_sources "${satellites_sources}" PARENT_SCOPE)
if(NOT satellites_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif(NOT satellites_sources)

add_library(gnuradio-satellites SHARED ${satellites_sources})
target_link_libraries(gnuradio-satellites gnuradio::gnuradio-runtime)
target_include_directories(gnuradio-satellites
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(gnuradio-satellites PROPERTIES DEFINE_SYMBOL "gnuradio_satellites_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-satellites PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-satellites)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

# If your unit tests require special include paths, add them here
#include_directories()
# List all files that contain Boost.UTF unit tests here
list(APPEND test_satellites_sources
)
# Anything we need to link to for the unit tests go here
list(APPEND GR_TEST_TARGET_DEPS gnuradio-satellites)

if(NOT test_satellites_sources)
    MESSAGE(STATUS "No C++ unit tests... skipping")
    return()
endif(NOT test_satellites_sources)

foreach(qa_file ${test_satellites_sources})
    GR_ADD_CPP_TEST("satellites_${qa_file}"
        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
endforeach(qa_file)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    kiss.py
    hdlc.py
    kiss_to_pdu.py
    pdu_to_kiss.py
    hdlc_framer.py
    hdlc_deframer.py
    check_address.py
    fixedlen_tagger.py
    csp_header.py
    print_header.py
    crc32c.py
    check_crc.py
    swap_crc.py
    swap_header.py
    submit.py
    print_timestamp.py
    adsb_kml.py
    ks1q_header_remover.py
    ao40_uncoded_crc.py
    check_ao40_uncoded_crc.py
    lilacsat1_gps_kml.py
    check_tt64_crc.py
    append_crc32c.py
    strip_ax25_header.py
    snet_deframer.py
    bch15.py
    beesat_classifier.py
    adapters.py
    snet_classifier.py
    k2sat_deframer.py
    feh.py
    cc11xx_packet_crop.py
    check_cc11xx_crc.py
    cc11xx_remove_length.py
    pwsat2_telemetry_parser.py
    pwsat2_submitter.py
    eseo_packet_crop.py
    eseo_line_decoder.py
    check_eseo_crc.py
    funcube_submit.py
    reflect_bytes.py
    check_astrocast_crc.py
    ecss_pus.py
    swiatowid_packet_crop.py
    check_swiatowid_crc.py
    swiatowid_packet_split.py
    manchester_sync.py
    header_remover.py
    aausat4_remove_fsm.py
    ngham_packet_crop.py
    ngham_remove_padding.py
    ngham_check_crc.py
    bme_submitter.py
    DESTINATION ${GR_PYTHON_DIR}/satellites
)

add_subdirectory(ccsds)
add_subdirectory(components)
add_subdirectory(core)
add_subdirectory(hier)
add_subdirectory(filereceiver)
add_subdirectory(satyaml)
add_subdirectory(telemetry)
add_subdirectory(utils)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_hdlc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_hdlc.py)
GR_ADD_TEST(qa_kiss ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_kiss.py)
GR_ADD_TEST(qa_nrzi ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_nrzi.py)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT satellites_sources)
    MESSAGE(STATUS "No C++ sources... skipping swig/")
    return()
endif(NOT satellites_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG REQUIRED)
find_package(PythonLibs REQUIRED)
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)

set(GR_SWIG_LIBRARIES gnuradio-satellites)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/satellites_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(satellites_swig satellites_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS satellites_swig DESTINATION ${GR_PYTHON_DIR}/satellites)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    satellites_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/satellites_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/satellites/swig
)

=== grc/core/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    satellites_satellite_decoder.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

=== include/satellites/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    decode_rs.h
    encode_rs.h
    ao40_rs_decoder.h
    ax100_decode.h
    u482c_decode.h
    lilacsat1_demux.h
    varlen_packet_tagger.h
    varlen_packet_framer.h
    nusat_decoder.h
    descrambler308.h
    decode_rs_general.h
    decode_rs_interleaved.h
    distributed_syncframe_soft.h
    matrix_deinterleaver_soft.h
    decode_ra_code.h
    nrzi_decode.h
    nrzi_encode.h
    DESTINATION include/satellites
)

=== python/filereceiver/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    by70_1.py
    dsat.py
    k2sat.py
    filereceiver.py
    imagereceiver.py
    sat_1kuns_pf.py
    smogp.py
    swiatowid.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/filereceiver
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== python/hier/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    ccsds_descrambler.py
    ccsds_viterbi.py
    si4463_scrambler.py
    sync_to_pdu.py
    sync_to_pdu_packed.py
    sync_to_pdu_soft.py
    rms_agc.py
    rms_agc_f.py
    pn9_scrambler.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/hier
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== python/telemetry/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aausat4.py
    amicalsat.py
    au03.py
    ax25.py
    by02.py
    by70_1.py
    csp.py
    dstar_one.py
    eseo.py
    floripasat.py
    funcube.py
    gomx_1.py
    gomx_3.py
    kr01.py
    lume.py
    mysat1.py
    picsat.py
    qo100.py
    quetzal1.py
    sat_1kuns_pf.py
    sat_3cat_1.py
    sat_3cat_2.py
    smogp.py
    snet.py
    suomi100.py
    trisat.py
    upmsat_2.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/telemetry
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_by02 ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_by02.py)

=== grc/components/deframers/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    satellites_aausat4_deframer.block.yml
    satellites_ao40_fec_deframer.block.yml
    satellites_ao40_uncoded_deframer.block.yml
    satellites_astrocast_9k6_deframer.block.yml
    satellites_astrocast_fx25_deframer.block.yml
    satellites_ax100_deframer.block.yml
    satellites_ax25_deframer.block.yml
    satellites_ccsds_concatenated_deframer.block.yml
    satellites_ccsds_rs_deframer.block.yml
    satellites_eseo_deframer.block.yml
    satellites_k2sat_deframer_component.block.yml
    satellites_lilacsat_1_deframer.block.yml
    satellites_lucky7_deframer.block.yml
    satellites_mobitex_deframer.block.yml
    satellites_ngham_deframer.block.yml
    satellites_nusat_deframer.block.yml
    satellites_ops_sat_deframer.block.yml
    satellites_reaktor_hello_world_deframer.block.yml
    satellites_sat_3cat_1_deframer.block.yml
    satellites_smogp_ra_deframer.block.yml
    satellites_smogp_signalling_deframer.block.yml
    satellites_snet_deframer_component.block.yml
    satellites_swiatowid_deframer.block.yml
    satellites_tt64_deframer.block.yml
    satellites_u482c_deframer.block.yml
    satellites_ua01_deframer.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

=== debian/changelog ===
gr-satellites (3.5.1-2build4) jammy; urgency=medium

  * No-change rebuild against libvolk2.5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:35:48 +0000

gr-satellites (3.5.1-2build3) hirsute; urgency=medium

  * No-change rebuild for volk soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 17:38:32 +0100

gr-satellites (3.5.1-2build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 10:48:30 +0100

gr-satellites (3.5.1-2build1) hirsute; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Nov 2020 19:19:15 +0100

gr-satellites (3.5.1-2) unstable; urgency=medium

  * update to fed25c6, avoid ABI bump
  * Fix-bug-in-S-NET-deframer

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 23 Oct 2020 21:56:17 -0400

gr-satellites (3.5.1-1) experimental; urgency=low

  * Initial package (Closes: #971336)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Oct 2020 13:42:32 -0400

=== debian/control ===
Source: gr-satellites
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
	   Christoph Berg <myon@debian.org>
Build-Depends: cmake,
	       debhelper-compat (= 13),
               dh-python,
               doxygen,
               gnuradio-dev,
               pkg-config,
               python3,
	       python3-construct,
               python3-mako,
	       python3-requests,
	       python3-six,
               swig
Standards-Version: 4.5.0
Homepage: https://github.com/daniestevez/gr-satellites
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-satellites.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-satellites

Package: libgnuradio-satellites3.5.1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-satellites
Description: library of satellite telemetry signal decoders
 This GNU Radio out-of-tree module can be used to decode frames
 transmitted from most Amateur satellites in orbit, performing
 demodulation, forward error correction, etc. Decoded frames can be
 saved to a file or displayed in hex format. For some satellites the
 telemetry format definition is included in gr-satellites, so the
 decoded telemetry frames can be printed out as human-readable values
 such as bus voltages and currents. Additionally, some satellites
 transmit files such as JPEG images. gr-satellites can be used to
 reassemble these files and even display the images in real-time as
 they are being received.
 .
 It supports most popular protocols, such as AX.25, the GOMspace
 NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc
 protocols used in other satellites.
 .
 This package contains the shared library.

Package: gr-satellites
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-satellites3.5.1 (=${binary:Version}),
         ${misc:Depends}, ${python3:Depends},
         ${shlibs:Depends}, python3-construct, python3-requests
Description: Collection of satellite telemetry signal decoders
 This GNU Radio out-of-tree module can be used to decode frames
 transmitted from most Amateur satellites in orbit, performing
 demodulation, forward error correction, etc. Decoded frames can be
 saved to a file or displayed in hex format. For some satellites the
 telemetry format definition is included in gr-satellites, so the
 decoded telemetry frames can be printed out as human-readable values
 such as bus voltages and currents. Additionally, some satellites
 transmit files such as JPEG images. gr-satellites can be used to
 reassemble these files and even display the images in real-time as
 they are being received.
 .
 It supports most popular protocols, such as AX.25, the GOMspace
 NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc
 protocols used in other satellites.
 .
 This package contains the header files and grc block definitions,
 and a set of satellite telemetry decoding scripts.
